import { default as PropTypes } from 'prop-types';
declare function CustomToolbar({ ...props }: {
    [x: string]: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace CustomToolbar {
    namespace propTypes {
        let data: PropTypes.Requireable<any[]>;
        let options: PropTypes.Validator<object>;
        let components: PropTypes.Requireable<object>;
        let columns: PropTypes.Validator<any[]>;
        let filterList: PropTypes.Requireable<any[]>;
        let filterData: PropTypes.Requireable<any[]>;
        let filterUpdate: PropTypes.Validator<(...args: any[]) => any>;
        let resetFilters: PropTypes.Validator<(...args: any[]) => any>;
        let updateFilterByType: PropTypes.Validator<(...args: any[]) => any>;
        let toggleViewColumn: PropTypes.Validator<(...args: any[]) => any>;
        let updateColumns: PropTypes.Validator<(...args: any[]) => any>;
        let title: PropTypes.Requireable<any>;
        let searchText: PropTypes.Requireable<any>;
        let searchTextUpdate: PropTypes.Validator<(...args: any[]) => any>;
        let searchClose: PropTypes.Validator<(...args: any[]) => any>;
        let tableRef: PropTypes.Validator<(...args: any[]) => any>;
    }
}
export default CustomToolbar;
